summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2009-07-05 16:46:05 +0000
committerHans de Graaff <graaff@gentoo.org>2009-07-05 16:46:05 +0000
commit437c13eb6540f6891460d491c33a92913e5433b9 (patch)
treeb7703780918d29e53eb4c15852e5a30d172b4cc4 /eclass/gems.eclass
parentfix #266035 (diff)
downloadgentoo-2-437c13eb6540f6891460d491c33a92913e5433b9.tar.gz
gentoo-2-437c13eb6540f6891460d491c33a92913e5433b9.tar.bz2
gentoo-2-437c13eb6540f6891460d491c33a92913e5433b9.zip
Increase the dependency on rubygems to rubygems 1.3.1. This has been the stable version since January 2009, and we don't have older versions in the tree anymore. Two benefits: a) we can simplify the installation call again in this eclass, and b) we can be sure that "development" style dependencies of a gem will be ignored when installing it.
Diffstat (limited to 'eclass/gems.eclass')
-rw-r--r--eclass/gems.eclass12
1 files changed, 3 insertions, 9 deletions
diff --git a/eclass/gems.eclass b/eclass/gems.eclass
index ee2c6cba7637..b03fef814847 100644
--- a/eclass/gems.eclass
+++ b/eclass/gems.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gems.eclass,v 1.26 2009/05/23 12:22:06 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gems.eclass,v 1.27 2009/07/05 16:46:05 graaff Exp $
# @ECLASS: gems.eclass
# @MAINTAINER:
@@ -25,7 +25,7 @@ SRC_URI="mirror://rubyforge/gems/${P}.gem"
IUSE="doc"
DEPEND="
- || ( >=dev-ruby/rubygems-0.9.4 =dev-lang/ruby-1.9* )
+ || ( >=dev-ruby/rubygems-1.3.1 =dev-lang/ruby-1.9* )
!<dev-ruby/rdoc-2
"
RDEPEND="${DEPEND}"
@@ -112,15 +112,9 @@ gems_src_install() {
# >=1.3.0 needs a path fix
local gte13=$(/usr/bin/${ruby_version} -rubygems -e 'puts Gem::RubyGemsVersion >= "1.3.0"')
- if [[ "${gte13}" == "true" ]] ; then
- /usr/bin/${ruby_version} /usr/bin/gem install ${GEM_SRC} \
+ /usr/bin/${ruby_version} /usr/bin/gem install ${GEM_SRC} \
--version ${PV} ${myconf} --local --install-dir "${D}/${GEMSDIR}" \
--sandbox-fix --no-user-install || die "gem (>=1.3.0) install failed"
- else
- /usr/bin/${ruby_version} /usr/bin/gem install ${GEM_SRC} \
- --version ${PV} ${myconf} --local --install-dir "${D}/${GEMSDIR}" \
- || die "gem (<1.3.0) install failed"
- fi
if [[ -d "${D}/${GEMSDIR}/bin" ]] ; then
exeinto /usr/bin